Unfortunately it's the AM version - I need the non-AM version.